dpkg-split(1)

NAMN
dpkg-split - Verktyg för att dela/slå ihop Debianpaket

SYNOPS
dpkg-split -s|--split helt-arkiv [prefix]
dpkg-split -j|--join del del ...
dpkg-split -I|--info del del ...
dpkg-split -a|--auto -o fullständig-utdata del
dpkg-split -l|--listq
dpkg-split -d|--discard [paket paket ...]

BESKRIVNING
dpkg-split delar upp binära Debianpaketfiler i mindre delar och slår samman dem igen, för att göra det möjligt att lagra stora paketfiler på små media, såsom disketter. Programmet kan köras manuellt med flaggorna --split, --join och --info. Det har även ett automatiskt läge, vilket aktiveras med flaggan --auto. I det läget hanterar det en kö av delar som setts men ännu inte återställts, och återställer en paketfil när den sett alla dess delar. Flaggorna --listq and --discard gör det möjligt att hantera kön. Alla funktioner för uppdelning, sammanslagning och köande visar informativa meddelanden på standard ut; dessa kan ignoreras.

HANDLINGSFLAGGOR

--split, -s
    Delar ett ensamt binärt Debianpaket i flera delar. Delarna namnges som prefix.NofM.deb där N är numret på delen, räknat från 1, och M är det totala antalet delar (båda angivna decimalt). Om inget prefix ges tas filnamnet för helt-arkiv, inklusive katalognamn, med den avslutande .deb borttagen.

--join, -j
    Slår samman de olika paketdelarna, och återskapar den ursprungliga filen som den såg ut innan den delades. Delfilerna som ges som parameter måste alla vara delar av exakt samma ursprungliga binärfil. Varje måste finnas exakt en gång i parameterlistan, men de behöver inte listas i ordning. Delarna måste naturligtvis alla ha genererats med samma delstorlek när uppdelningen skedde, vilket betyder att de vanligtvis måste ha genererats vid samma körning av dpkg-split --split. Delarnas filnamn är inte signifikanta för sammanslagningsproceduren. Förvalt namn på utdatafilen är paket-version.deb.

--info, -I
    Skriver ut information, i människoläsbar form, om de(n) delfil(er) som anges. Parametrar som inte är delar av binärpaket resulterar i ett meddelande som talar om detta (men fortfarande på standard ut).

--auto, -a
    Köa automatiskt delarna och återskapa paketet om möjligt. Den del som anges undersöks och jämförs med andra delar av samma paket (om sådana existerar) i kön av delar av paket. Om alla delar av ett paket av vilket del är en del av är tillgängliga kommer paketet att återskapas och skrivas till fullständig-utdata (vilken vanligtvis inte redan bör existera, även om det inte vore ett fel om det gjorde det). Om inte kommer del att kopieras till kön och fullständig-utdata skapas inte. Om del inte är en del av ett delat binärpaket kommer dpkg-split att avsluta med returvärde 1; om något annat fel uppstår avslutar det med returvärde 2. Flaggan --output eller -o måste ges då --auto används. (Om detta inte vore ett krav skulle det anropande programmet inte veta vilken utdatafil som förväntades.)

--listq, -l
    Listar innehållet i kön över paket att återställa. För varje paketfil för vilken delar finns i kön visas i utdata namnet på paketet, antal delar i kön, och det totala antalet byte som är lagrade i kön.

--discard, -d
    Detta kastar bort delar från kön över de som väntar på återstående delar av paket. Om inget paket anges töms kön helt; om paket anges kastas bara delar för de(t) paket som anges.

--help, -h
    Visar dpkg-splits hjälpskärm, vilken ger en sammanfattning av kommandoradsflaggorna och deras användningsområden.

--version
    Visar dpkg-splits versionsnummer.

--licence
    Visar information om dpkg-splits upphovsrättsliga licensiering och avsaknad av garanti. (Den amerikanskengelska stavningen --license stöds också.)

ANDRA FLAGGOR

--depotdir katalog
    Anger en alternativ katalog för kön av delar som väntar på automatisk sammanslagning. Förvalet är /var/lib/dpkg.

--partsize|-S kbyte
    Anger maximal storlek vid delning, i kilobyte (1024 byte). Förval är 450 Kbyte.

--output|-O fullständig-utdata
    Anger filnamnet för utdata vid sammanslagning. Detta används istället för förvalet vid manuell sammanslagning (--join) och krävs för automatisk köa-eller-sammanslå (--auto).

--npquiet, -Q
    Vid automatisk köa-eller-sammanslå skriver dpkg-split normalt ett meddelande om den matas med en del som inte är en binär paketdel. Denna flagga undertrycker detta meddelande, vilket gör det möjligt för program såsom dpkg att hantera både delade och odelade paket utan att producera felaktiga meddelanden.

--msdos
    Tvingar utdatafilnamn skapade av --split att vara msdos-kompatibla. Detta misshandlar prefixet - antingen förvalet taget från indatafilnamnet, eller det som angetts som parameter: alfanumeriska tecken görs till gemener, plustecken ersätts med x och alla andra tecken kastas. Resultatet trunkeras så långt som möjligt, och filnamn på formen prefixNofM.deb genereras.

RETURVÄRDE
Returvärdet 0 betyder att den efterfrågade funktionen (delning, sammanslagning eller annan) slutfördes lyckades. --info-kommandon lyckas även om indatafilen inte är en del av ett binärpaket. Returvärdet 1 uppkommer endast med --auto och anger att delfilen inte var en del av ett binärpaket. Returvärdet 2 indikerar att något har gått fel, till exempel ett systemanrop, att en fil såg ut som en paketdel men var trasig, ett användningsfel, eller något annat problem.

PROGRAMFEL
dpkg-split använder några rätt så gamla konventioner för filnamn på Debianpaket. Kompletta detaljer för paket i kön kan inte fås utan att själv gräva i kö-katalogen. Det finns inget lätt sätta att testa om en fil som kan vara en del av ett binärpaket faktiskt är det. Arkitekturen anges inte i delfilernas filhuvud, bara i kontrollinformationen i paketfilen som delarna innehåller, och den förekommer inte i de filnamn som genereras.

FILER

/var/lib/dpkg/parts
    Förvald kö-katalog för delfiler som väntar på automatisk sammanslagning. Filnamnen som används i denna katalog är i ett internt format för dpkg-split och är knappast användbara för andra program, och hur som helst kan inte formatet på filnamnen litas på.

SE ÄVEN
dpkg-split(5), dpkg-deb(5), dpkg-deb(8), dpkg(8)

FÖRFATTARE
dpkg-split och denna manualsida skrevs av Ian Jackson. Upphovsrätten © 1995-1996 ligger hos honom och de är släppta under GNU General Public Licence; det finns INGEN GARANTI. Se /usr/share/dpkg/copyright och /usr/share/common-licenses/GPL för ytterligare detaljer. Denna manualsida översattes av Peter Karlsson.